# CSVDataChecksum (ARX GUI Documentation)

org.deidentifier.arx.io

## Class CSVDataChecksum

- java.lang.Object
- - org.deidentifier.arx.io.CSVDataChecksum

-     public class CSVDataChecksum
      extends java.lang.Object

  Provides methods for creating checksums CSV encoded data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVDataChecksum()` Instantiate.
    `CSVDataChecksum(char delimiter)` Instantiate.
    `CSVDataChecksum(char delimiter, char quote)` Instantiate.
    `CSVDataChecksum(char delimiter, char quote, char escape)` Instantiate.
    `CSVDataChecksum(char delimiter, char quote, char escape, char[] linebreak)` Instantiate.
    `CSVDataChecksum(CSVSyntax config)` Instantiate.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSHA256Checksum(java.util.Iterator<java.lang.String[]> iterator)` Returns a hex-encoded MD5 checksum for the given data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSVDataChecksum

          public CSVDataChecksum()

      Instantiate.

    - #### CSVDataChecksum

          public CSVDataChecksum(char delimiter)

      Instantiate.
      Parameters:
        `delimiter` - the delimiter

    - #### CSVDataChecksum

          public CSVDataChecksum(char delimiter,
                         char quote)

      Instantiate.
      Parameters:
        `delimiter` - the delimiter
        `quote` - the quote

    - #### CSVDataChecksum

          public CSVDataChecksum(char delimiter,
                         char quote,
                         char escape)

      Instantiate.
      Parameters:
        `delimiter` - the delimiter
        `quote` - the quote
        `escape` - the escape

    - #### CSVDataChecksum

          public CSVDataChecksum(char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak)

      Instantiate.
      Parameters:
        `delimiter` - the delimiter
        `quote` - the quote
        `escape` - the escape
        `linebreak` - the linebreak

    - #### CSVDataChecksum

          public CSVDataChecksum(CSVSyntax config)

      Instantiate.
      Parameters:
        `config` - the config

  - ### Method Detail

    - #### getSHA256Checksum

          public java.lang.String getSHA256Checksum(java.util.Iterator<java.lang.String[]> iterator)
                                             throws java.security.NoSuchAlgorithmException

      Returns a hex-encoded MD5 checksum for the given data
      Parameters:
        `iterator` -
      Returns:
      Throws:
        `java.security.NoSuchAlgorithmException`